#!/bin/sh

# udhcpc script edited by Tim Riker <Tim@Rikers.org>

[ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1

RESOLV_CONF="/etc/resolv.conf"
[ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
[ -n "$subnet" ] && NETMASK="netmask $subnet"

echo "$(basename $0): $1" # debug

case "$1" in
	deconfig)
		ifconfig $interface up
		;;

        leasefail)
		/usr/bin/killall udhcpc
		;;

	renew|bound)
		/sbin/ifconfig $interface $ip $BROADCAST $NETMASK

		if [ -x /etc/static-routes ]; then
			/etc/static-routes
		fi
		if [ -x /usr/libexec/weather-module.sh ]; then
			/usr/libexec/weather-module.sh
		fi

		if [ -n "$router" ] ; then
			echo "deleting routers"
			while route del default gw 0.0.0.0 dev $interface ; do
				:
			done
			
			metric=0
			for i in $router ; do
				route add default gw $i dev $interface metric $((metric++))
			done

		fi
		
		echo -n > $RESOLV_CONF
		[ -n "$domain" ] && echo search $domain >> $RESOLV_CONF
		for i in $dns ; do
			echo adding dns $i
			echo nameserver $i >> $RESOLV_CONF
		done
		;;
esac

exit 0
