#!/bin/sh

#set -e -x

echo "$(basename $0): $1" # debug

# only for use as a "zcip" callback script
if [ "x$interface" = x ]
then
	exit 1
fi

# zcip should start on boot/resume and various media changes
case "$1" in
init)
	# for now, zcip requires the link to be already up,
	# and it drops links when they go down.  that isn't
	# the most robust model...
	exit 0
	;;

config)
	[ "x$ip" = x ] && exit 1

	ip address add dev $interface \
		scope link local "$ip/16" broadcast +

	if [ -x /etc/static-routes ]; then
		/etc/static-routes
	fi

	if [ -x /usr/libexec/weather-module.sh ]; then
		/usr/libexec/weather-module.sh
	fi

	exit 0
	;;

deconfig)
	[ "x$ip" = x ] && exit 1

	exec ip address del dev $interface local $ip
	;;
esac
exit 1
