#!/bin/sh

if [ "$2" = "NOSApp" ] || [ "$2" = "KiwiApp" ] || [ "$2" = "IndigoApp" ]; then

  YRES=`sed -ne 's/.*x\([0-9]\+\).*/\1/p' /sys/class/graphics/fb0/mode`
  if [ -z $YRES ]; then
    YRES=`sed -ne 's/.*,\([0-9]\+\).*/\1/p' /sys/class/graphics/fb0/virtual_size`
    YRES=$(($YRES/2))
  fi

  STRIDE=`cat /sys/class/graphics/fb0/stride`

  # Grab an image of the screen at the moment the crash happened
  dd if=/dev/fb0 of=/tmp/crash-screen-grab.raw bs=$STRIDE count=$YRES

  # clear the screen
  dd if=/dev/zero of=/dev/fb0 bs=$STRIDE count=$YRES

  if [ "$1" = "start" ]; then
    # put a bitmap on the screen to tell the user they are screwed
    BMPDX=500 # x-res * 2
    BMPDY=65
    BMPSTRIDE=125 # x-res * 2 / 32

    ( LINE=0
      FBSEEK=$((($YRES+$BMPDY)/2*$STRIDE+($STRIDE-$BMPDX)/2-1))
      dd of=/dev/null bs=70 count=1 # dump the bmp header. The header
      while [ $LINE -lt $BMPDY ]; do
        dd of=/dev/fb0 bs=4 seek=$(($FBSEEK/4)) count=$BMPSTRIDE
        FBSEEK=$(($FBSEEK-$STRIDE))
        LINE=$(($LINE+1))
      done
    ) </usr/share/crash.bmp 2>/dev/null
  fi
fi

